package cn.net.cpzslibs.prot.handset.bean.res.jinLiquor;

public class Jin20021ResBean {
//	调拨：>20024<{"itemCode":"zb000084","itemName":"125ml42度毛铺苦荞酒（金荞酒店2015）_1*24","itemUnit":"件","num":152,"p_spec":"50","package_num":50,"relation_id":"7754954"}
	//出库：>20021<{"itemCode":"zb000084","itemName":"520ml35度中国劲酒（盒装）_1*6","itemUnit":"件","num":150,"p_spec":"50","package_num":50,"relation_id":"334901"}
	//{"item_code":"zb000084","item_name":"520ml35度中国劲酒（盒装）_1*6","item_unit":"件","num":50}
//	经销商出库：>20022<{"itemCode":"zkqj0224","itemName":"500ml42.8度毛铺苦荞酒（黑荞酒店）_1*6","itemUnit":"件","num":50,"p_spec":"50","package_num":50,"single_num":50}

	private int num;//本单已发货数量
	private String itemName;
	private String itemCode;
	private String itemUnit;
	private int single_num;//经销商出库，本次托盘内箱数
	private String relation_id;
	private String orderNo;
	private String p_spec;//规格
	private int package_num;//物流出库  本次托盘内箱数
	private String oldOrderNo;
	private int type;//0:正常发货   1：重复发货
	private String tray_id;
	private int errcode;
  	private String errmsg;
  	private int result = 0;//0：请求成功     1：遇到错误信息，返回错误码
  	public String getP_spec() {
		return p_spec;
	}
  	public void setP_spec(String p_spec) {
		this.p_spec = p_spec;
	}
  	public int getPackage_num() {
		return package_num;
	}
  	public void setPackage_num(int package_num) {
		this.package_num = package_num;
	}
	public int getNum() {
		return num;
	}
	public void setNum(int num) {
		this.num = num;
	}
	public int getErrcode() {
		return errcode;
	}
	public void setErrcode(int errcode) {
		this.errcode = errcode;
	}
	public String getErrmsg() {
		return errmsg;
	}
	public void setErrmsg(String errmsg) {
		this.errmsg = errmsg;
	}
	public int getResult() {
		return result;
	}
	public void setResult(int result) {
		this.result = result;
	}
	public String getRelation_id() {
		return relation_id;
	}
	public void setRelation_id(String relation_id) {
		this.relation_id = relation_id;
	}
	public String getItemName() {
		return itemName;
	}
	public void setItemName(String itemName) {
		this.itemName = itemName;
	}
	public String getItemCode() {
		return itemCode;
	}
	public void setItemCode(String itemCode) {
		this.itemCode = itemCode;
	}
	public String getItemUnit() {
		return itemUnit;
	}
	public void setItemUnit(String itemUnit) {
		this.itemUnit = itemUnit;
	}
	public int getSingle_num() {
		return single_num;
	}
	public void setSingle_num(int single_num) {
		this.single_num = single_num;
	}
	public String getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	public String getOldOrderNo() {
		return oldOrderNo;
	}
	public void setOldOrderNo(String oldOrderNo) {
		this.oldOrderNo = oldOrderNo;
	}
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
	public String getTray_id() {
		return tray_id;
	}
	public void setTray_id(String tray_id) {
		this.tray_id = tray_id;
	}
	@Override
	public String toString() {
		return "Jin20021ResBean [num=" + num + ", itemName=" + itemName + ", itemCode=" + itemCode + ", itemUnit="
				+ itemUnit + ", single_num=" + single_num + ", relation_id=" + relation_id + ", orderNo=" + orderNo
				+ ", p_spec=" + p_spec + ", package_num=" + package_num + ", oldOrderNo=" + oldOrderNo + ", type="
				+ type + ", tray_id=" + tray_id + ", errcode=" + errcode + ", errmsg=" + errmsg + ", result=" + result
				+ "]";
	}
}
